<!-- Display all the ranges beside each other with a button leading to the full listing -->
{% extends 'base.html' %}
{% block body %}
    <div id="areas">
        <div class="net-filter-direct">
            <form data-templateurl="{{ url_for('dhcp_leases.active_leases', range='[area]', suffix='[suffix]') }}"
                  id="form-direct">
                <div class="input-group">
                    <div class="input-group-prepend">
                <span class="input-group-text"><i class="fa fa-filter"
                                                  aria-hidden="true"></i></span>
                    </div>
                    <input class="search form-control" id="filter-direct" placeholder="Filter & Direktwahl"
                           autofocus="yes"/>
                    <div class="input-group-append">
                        <button title="Gehe direkt zu Lease-Übersicht für Bereich"
                                data-templateurl="{{ url_for('dhcp_leases.active_leases', range='[area]', suffix='[suffix]') }}"
                                class="btn btn-outline-secondary" type="submit">
                            <i class="fa fa-arrow-right"></i>
                        </button>
                    </div>
                </div>
            </form>
        </div>
        <table class="table table-responsive table-striped">
            <tr>
                <th>{{ colnames['DBNetArea']['name'].short_title_abs }} <a class="sort d-print-none" data-order="" data-target="name"
                                                                           href="javascript:void(0)"><i
                        class="fa fa-sort"></i></a></th>
                <th>{{ colnames['DBNetArea']['description'].short_title_abs }} <a class="sort d-print-none" data-order=""
                                                                                  data-target="description"
                                                                                  href="javascript:void(0)"><i
                        class="fa fa-sort"></i></a></th>
                <th>{{ colnames['Net']['net'].short_title_abs }} <a class="sort d-print-none" data-order="" data-target="net"
                                                                    href="javascript:void(0)"><i class="fa fa-sort"></i></a>
                </th>
                <th>{{ colnames['Facility']['name'].short_title_abs }} <a class="sort d-print-none" data-order="asc"
                                                                          data-target="facility"
                                                                          href="javascript:void(0)"><i
                        class="fa fa-sort-asc"></i></a></th>
                <th>VLAN <a class="sort d-print-none" data-order="" data-target="vlan" href="javascript:void(0)"><i
                        class="fa fa-sort"></i></a></th>
                <th>Aktive Leases <a class="sort d-print-none" data-order="" data-target="leases" href="javascript:void(0)"><i
                        class="fa fa-sort"></i></a></th>
            </tr>
            <tbody class="list">
            {% for a in ranges %}
                <tr>
                    <th class="name" data-name="{{ a['range'].print_name }}"><a
                            href="{{ url_for('dhcp_leases.active_leases', range=a['range'].name, suffix=a['range'].suffix) }}">
                        {{ a['range'].print_name }}</a></th>
                    <td class="description">{{ a['range'].description }}</td>
                    <td class="net"><code>{{ a['range'].net.net }}</code></td>
                    <td class="facility" title="{{ a['range'].facility.name }}">{{ a['range'].facility.short_name }}</td>
                    <td class="vlan" title="{{ a['range'].vlan.ni_name }}">
                        {% if a['range'].vlan.name %}{{ a['range'].vlan.name }} (<a title="VLAN {{ a['range'].vlan.id }} in der NETDOC" href="https://www-net{% if not omdl.OP_ENV_IS_PROD %}-devel{% endif %}.scc.kit.edu/~netadmin/netdoc/user/wrapper.cgi/{{ a['range'].vlan.ni_name }}/{{ a['range'].vlan.id }}/"
                                                                  target="_blank">{{ a['range'].vlan.id }}</a>){% endif %}
                    </td>
                    <td class="leases" data-leases="{{ a['leases'] }}"><a
                            href="{{ url_for('dhcp_leases.active_leases', range=a['range'].name, suffix=a['range'].suffix) }}">
                        {{ a['leases'] }}</a>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock body %}
{% block post_script %}
    <script src="/static/js/netsuite.dhcp_leases.list-areas.js"></script>
{% endblock post_script %}
